import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '收藏项目类型(0-遗产讲述 1-达人同游 2-遗产路径 3-我要跟拍 4-非遗体验 5-我要研学 6-文创好物)',
    align:"center",
    dataIndex: 'collectionType'
   },
   {
    title: '项目所属id',
    align:"center",
    dataIndex: 'itemId'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '收藏项目类型(0-遗产讲述 1-达人同游 2-遗产路径 3-我要跟拍 4-非遗体验 5-我要研学 6-文创好物)',
    field: 'collectionType',
    component: 'Input',
  },
  {
    label: '项目所属id',
    field: 'itemId',
    component: 'Input',
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
